from launch import LaunchDescription
from launch_ros.actions import Node
from launch.actions import IncludeLaunchDescription
from launch.launch_description_sources import PythonLaunchDescriptionSource

from ament_index_python import get_package_share_directory
import os


def generate_launch_description():
    return LaunchDescription([
        IncludeLaunchDescription(
            PythonLaunchDescriptionSource(
                os.path.join(
                    get_package_share_directory('active_bo_ros'),
                    'rosbridge_server.launch.py'
                )
            )
        ),
        Node(
            package='active_bo_ros',
            executable='interactive_bo_robot',
            name='interactive_bo_robot'
        ),
        Node(
            package='franka_iml_experiment',
            executable='iml_experiment',
            name='iml_experiment'
        ),
        Node(
            package='franka_iml_experiment',
            executable='check_experiment_pose',
            name='check_experiment_pose'
        ),
    ])
